## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csArray< T, ElementHandler, MemoryAllocator >::Iterator Class Reference

Iterator for the Array<> class. More...

`#include <csutil/array.h>`

List of all members.

## Public Member Functions

bool | HasNext ()
| Returns true if the next Next() call will return an element.
| Iterator (Iterator const &r)
| Copy constructor.
const T & | Next ()
| Returns the next element in the array.
Iterator & | operator= (Iterator const &r)
| Assignment operator.
void | Reset ()
| Reset the array to the first element.

## Protected Member Functions

| Iterator (const csArray< T, ElementHandler > &newarray)

## Friends

class | csArray< T, ElementHandler >

## Detailed Description

### template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = csArrayMemoryAllocator<T>>
class csArray< T, ElementHandler, MemoryAllocator >::Iterator

Iterator for the Array<> class.

Definition at line 1035 of file array.h.

## Constructor & Destructor Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = csArrayMemoryAllocator<T>>
csArray< T, ElementHandler, MemoryAllocator >::Iterator::Iterator | ( | Iterator const & | r | ) | `[inline]`

| Copy constructor. Definition at line 1039 of file array.h.

## Member Function Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = csArrayMemoryAllocator<T>>
bool csArray< T, ElementHandler, MemoryAllocator >::Iterator::HasNext | ( |  | ) | `[inline]`

| Returns true if the next Next() call will return an element. Definition at line 1047 of file array.h.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = csArrayMemoryAllocator<T>>
const T& csArray< T, ElementHandler, MemoryAllocator >::Iterator::Next | ( |  | ) | `[inline]`

| Returns the next element in the array. Definition at line 1051 of file array.h.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = csArrayMemoryAllocator<T>>
Iterator& csArray< T, ElementHandler, MemoryAllocator >::Iterator::operator= | ( | Iterator const & | r | ) | `[inline]`

| Assignment operator. Definition at line 1043 of file array.h. References csArray< T, ElementHandler, MemoryAllocator >::Iterator::array, and csArray< T, ElementHandler, MemoryAllocator >::Iterator::currentelem.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = csArrayMemoryAllocator<T>>
void csArray< T, ElementHandler, MemoryAllocator >::Iterator::Reset | ( |  | ) | `[inline]`

| Reset the array to the first element. Definition at line 1055 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h